1. Coupons
Privage Open API
Open API V2
  • Open API
  • Open API V2
  • Welcome to Privage Open API Documents (In-development)
  • Authentication
    • Generate Exchange Token
      POST
    • Exchange Access Token
      POST
    • Renew Access Token
      POST
    • Get Access Token
      POST
  • Extension Config
    • Get Current Add-On status
      GET
  • Campaigns
    • Get Campaign
      GET
  • Member Profiles
    • Get Profile
      GET
  • Transactions
    • Get Transaction
      GET
    • Add Point
      POST
    • Burn Point
      POST
    • Void Transaction By Id
      DELETE
    • Void Transaction By RefNo
      DELETE
    • Void Transaction By RefId
      DELETE
  • Coupons
    • Get Coupon Set
      GET
    • Create Coupon Set
      POST
    • Give Coupon to Member ID
      POST
    • Get Give Coupon History
      GET
    • Void Give Coupon
      DELETE
    • Check Coupon
      GET
    • Mark Use Coupon
      POST
  1. Coupons

Get Coupon Set

สำหรับผู้ใช้ทั่วไป (Privage Open API)
https://core.privageapp.com
สำหรับผู้ใช้ทั่วไป (Privage Open API)
https://core.privageapp.com
GET
/v2/connect/coupon/sets
รายการชุดคูปองของธุรกิจแบบแบ่งหน้า

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
Paginated coupon sets
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://core.privageapp.com/v2/connect/coupon/sets?page&size&sort&search' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "pagination": {
        "total": 0,
        "page": 0,
        "size": 0
    },
    "data": [
        {
            "id": 0,
            "name": "string",
            "prefix": "string",
            "import_type": "string",
            "quantity": 0,
            "import_status": "string",
            "created_at": "2019-08-24T14:15:22.123Z"
        }
    ]
}
Modified at 2026-04-19 14:06:31
Previous
Void Transaction By RefId
Next
Create Coupon Set
Built with